> For the complete documentation index, see [llms.txt](https://cetus-1.gitbook.io/cetus-developer-docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://cetus-1.gitbook.io/cetus-developer-docs/developer/via-sdk-v2/sdk-modules/cetusprotocol-vaults-sdk/vest.md).

# Vest

**1. Get Vault's Vest Information List**

Get vest information for multiple vaults.

```typescript
const vestInfoList = await sdk.Vest.getVaultsVestInfoList([vaultId])
```

**2. Get Single Vault's Vest Information**

Get vest information for a specific vault.

```typescript
async getVaultsVestInfo(vault_id: string, force_refresh = true): Promise<VaultsVestInfo>
```

**3. Get User's Vault Vest NFT List**

Get all Vault Vest NFTs owned by the specified address. Each NFT contains the following information:

* id: NFT ID
* index: Index
* vault\_id: Vault ID
* lp\_amount: LP token amount
* redeemed\_amount: Redeemed amount
* impaired\_a: Token A impairment
* impaired\_b: Token B impairment
* period\_infos: Period information
* url: NFT URL
* name: NFT name
* vester\_id: Vester ID

```typescript
const vestNFTList = await sdk.Vest.getOwnerVaultVestNFT(senderAddress)
```

**4. Build Redeem Transaction**

Build the redeem transaction payload. &#x20;

Parameter description:

* options: Array of redeem options, each option contains:
  * vault\_id: Vault ID
  * vesting\_nft\_id: Vesting NFT ID
  * period: Period
  * coin\_type\_a: Token A type
  * coin\_type\_b: Token B type
* tx: Optional transaction object

```typescript
 const vestInfo = await sdk.Vest.getVaultsVestInfo(vaultId)
const tx = await sdk.Vest.buildRedeemPayload([
  {
    vault_id: vaultId,
    vesting_nft_id: '0x...',
    period: 1,
    coin_type_a: vestInfo.coin_type_a,
    coin_type_b: vestInfo.coin_type_b,
  }
])

// Execute transaction
const transferTxn = await sdk.FullClient.executeTx(send_key_pair, tx, false)
```

####


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://cetus-1.gitbook.io/cetus-developer-docs/developer/via-sdk-v2/sdk-modules/cetusprotocol-vaults-sdk/vest.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
